Subject: Implement getAdvicedMethodsInformation...() for the AOP Framework
Description

For the AOP browser / debugging we need a method which returns all advices which apply to a given method.

Associated revisions
Revision 8bbec155 - 2008-03-17 12:17 - Robert Lemke

    -  FLOW3: (AOP) Implemented a getAspectContainers() method for the AOP Framework. Resolves #407.
    -  FLOW3: (AOP) Implemented a getAdvicedMethodsInformation..() method for the AOP Framework. Resolves #408. Here's an example how to use
it:

    $aopFramework = $this->componentManager->getComponent('T3_FLOW3_AOP_Framework');
    foreach($aopFramework->getTargetAndProxyClassNames() as $targetClassName => $proxyClassName) {
        var_dump($aopFramework->getAdvicedMethodsInformationByTargetClass($targetClassName));
    }

History
#1 - 2008-03-17 12:15 - Robert Lemke
- Subject changed from Implement getMethodAdvices() for the AOP Framework to Implement getAdvicedMethodsInformation...() for the AOP 
Framework

#2 - 2008-07-01 15:33 - Robert Lemke
- Target version deleted (18)
